<template>
  <h2 class="title">BOOTSTAP-LIKE CSS GRID</h2>
  <section class="cloneGrid customContainer">
    <Card class="article" />
    <Card class="article" />
    <Card class="article" />
  </section>
</template>

<style>
.cloneGrid {
  display: grid;
  grid-template-columns: repeat(12, minmax(10px, 1fr));
  gap: 12px;
}

.article {
  grid-column: span 12;
}

@media screen and (min-width: 580px) {
  .article {
    grid-column: span 6;
  }
}

@media screen and (min-width: 768px) {
  .article {
    grid-column: span 4;
  }
}
</style>

<script>
import Card from "./Card.vue";
export default {
  components: {
    Card,
  },
};
</script>
